<template>
  <div class="faq__item" :class="{ 'is-active': showSection }">
    <div class="faq__top" @click="showSection = !showSection">
      <div class="faq__title">{{ data.title }}</div>
      <div class="faq__toggle">
        <template v-if="showSection">–</template>
        <template v-else>+</template>
      </div>
    </div>
    <transition name="toggle">
      <div v-if="showSection" class="faq__content" v-html="data.content"></div>
    </transition>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
export default defineComponent<{
  data: Array<any>
  showSection: Boolean
}>({
  name: 'Faq',
  props: ['data'],

  setup() {
    const showSection = false
    return {
      showSection
    }
  }
})
</script>

<style lang="scss" scoped>
.faq {
  $self: &;
  &__item {
    margin-bottom: 10px;
    background: #292e3c;
    border-radius: 10px;
    font-size: 0px;
    @media (min-width: 991.98px) {
      margin-bottom: 15px;
    }
    &.is-active {
      #{ $self }__toggle {
        color: #00ffb3;
      }
    }
  }
  &__top {
    font-size: 0px;
    cursor: pointer;
    user-select: none;
    text-align: center;
    padding: 30px 25px;
    @media (min-width: 991.98px) {
      padding: 23px 25px 23px 40px;
      text-align: left;
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
  }
  &__title {
    color: #ffffff;
    font-size: 20px;
    line-height: 25px;
    font-weight: 500;
    @media (min-width: 991.98px) {
      font-size: 24px;
      line-height: 25px;
    }
  }
  &__toggle {
    width: 45px;
    height: 45px;
    padding-bottom: 2px;
    border-radius: 50%;
    background: #1f232f;
    display: none;
    color: #fff;
    font-size: 24px;
    font-weight: 500;
    transition: 0.2s all;
    @media (min-width: 991.98px) {
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }
  &__content {
    letter-spacing: 0px;
    color: #9badd6;
    font-size: 18px;
    line-height: 25px;
    text-align: center;
    padding: 0 25px 25px 25px;
    margin-top: -10px;
    @media (min-width: 991.98px) {
      padding: 0 25px 23px 40px;
      max-width: 85%;
      text-align: left;
    }
    &::v-deep {
      a {
        color: #00ffb3;
        background-image: linear-gradient(
          0deg,
          currentColor 100%,
          rgba(32, 126, 150, 0)
        );
        background-size: 0 1px;
        padding-bottom: 2px;
        background-position: 200% 100%;
        background-repeat: no-repeat;
        transform-origin: left bottom;
        transition: background-size 0.5s ease,
          background-position 0.6s ease-out 0.1s, color 0.5s ease;
        &:hover {
          background-size: 100% 1px;
          background-position: 0 100%;
          animation: underline-hover forwards;
          animation-duration: 0.3s;
        }
      }
    }
  }
}
</style>
